// Copyright 2021 Datafuse Labs.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

#[cfg(test)]
mod query_schema_joined_analyzer_test;

#[cfg(test)]
mod query_normalizer_test;

#[cfg(test)]
mod query_qualified_rewriter_test;

mod query_ast_ir;
mod query_collect_push_downs;
mod query_normalizer;
mod query_qualified_rewriter;
mod query_schema_joined;
mod query_schema_joined_analyzer;

pub use query_ast_ir::QueryASTIR;
pub use query_ast_ir::QueryASTIRVisitor;
pub use query_collect_push_downs::QueryCollectPushDowns;
pub use query_normalizer::QueryNormalizer;
pub use query_qualified_rewriter::QualifiedRewriter;
pub use query_schema_joined::JoinedColumnDesc;
pub use query_schema_joined::JoinedSchema;
pub use query_schema_joined::JoinedTableDesc;
pub use query_schema_joined_analyzer::JoinedSchemaAnalyzer;
